import { Component } from "react";
import IReaderContext from "../../types/IReaderContext";
type ErrorState = {
    error?: Error;
    info?: React.ErrorInfo;
};
declare class ErrorBoundary extends Component<IReaderContext, ErrorState> {
    static getDerivedStateFromError(error: Error): {
        error: Error;
    };
    handleClearError(): void;
    state: ErrorState;
    componentDidCatch(error: Error, errorInfo: React.ErrorInfo): void;
    render(): any;
}
export default ErrorBoundary;
